## org.codehaus.groovy.classgen
Class GeneratorContext

    java.lang.Object
      org.codehaus.groovy.classgen.GeneratorContext

    public class GeneratorContext

extends Object

A context shared across generations of a class and its inner classes

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`GeneratorContext(CompileUnit compileUnit)`

Method Summary
`CompileUnit` `getCompileUnit()`
`String` `getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)`
`int` `getNextInnerClassIdx()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratorContext

    public GeneratorContext(CompileUnit compileUnit)

Method Detail

### getNextInnerClassIdx

    public int getNextInnerClassIdx()

### getCompileUnit

    public CompileUnit getCompileUnit()

### getNextClosureInnerName

    public String getNextClosureInnerName(ClassNode owner,
                                          ClassNode enclosingClass,
                                          MethodNode enclosingMethod)

Copyright © 2003-2008 The Codehaus. All rights reserved.